class CommentsController < ApplicationController
  def new
  	@post = Post.find_by(id: params[:post_id])
  	@comment = @post.comments.new
  end

  def create
  	@post = Post.find_by(id: params[:post_id])
  	@comment = @post.comments.new(comment_params)
  	@comment.user = current_user

  	if @comment.save
  		redirect_to post_path(@post), notice: "Comment has been added."
  	else
  		render 'new'
  	end
  end

  private
  	def comment_params
  		params.require(:comment).permit!
  	end
end